cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
165 Views
Message 1 of 1

BT Cloud - Previous Version

I need to run BT Cloud on my iMac but the latest version won't install because I can only run High Sierra.

 

But I see that BT Cloud WORK does run on High Sierra, so BT still has a version available that I could (as some people obviously also needs to) use!!  Question is, why can't we have access to it?  And I know that there are other community members that are in the same position.......so please, where can I get this version from?

0 Ratings
Reply